TokenizerChain (Solr 3.6.2 API)
Keywords: org.apache.solr.analysis.TokenizerChain class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.analysis
Class TokenizerChain

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.apache.solr.analysis.SolrAnalyzer
              org.apache.solr.analysis.TokenizerChain

All Implemented Interfaces:
  Closeable

    public final class TokenizerChain

extends SolrAnalyzer

Version:
  $Id: TokenizerChain.java 1065312 2011-01-30 16:08:25Z rmuir $

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.solr.analysis.SolrAnalyzer
`SolrAnalyzer.TokenStreamInfo`

Constructor Summary
`TokenizerChain(CharFilterFactory[] charFilters, TokenizerFactory tokenizer, TokenFilterFactory[] filters)`
`TokenizerChain(TokenizerFactory tokenizer, TokenFilterFactory[] filters)`

Method Summary
`Reader` | `charStream(Reader reader)` wrap the reader in a CharStream, if appropriate
`CharFilterFactory[]` | `getCharFilterFactories()`
`SolrAnalyzer.TokenStreamInfo` | `getStream(String fieldName, Reader reader)`
`TokenFilterFactory[]` | `getTokenFilterFactories()`
`TokenizerFactory` | `getTokenizerFactory()`
`String` | `toString()`

Methods inherited from class org.apache.solr.analysis.SolrAnalyzer
`getPositionIncrementGap, reusableTokenStream, setPositionIncrementGap, tokenStream`

Methods inherited from class org.apache.lucene.analysis.Analyzer
`close, getOffsetGap, getPreviousTokenStream, setPreviousTokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TokenizerChain

    public TokenizerChain(TokenizerFactory tokenizer,
                          TokenFilterFactory[] filters)

### TokenizerChain

    public TokenizerChain(CharFilterFactory[] charFilters,
                          TokenizerFactory tokenizer,
                          TokenFilterFactory[] filters)

Method Detail

### getCharFilterFactories

    public CharFilterFactory[] getCharFilterFactories()

### getTokenizerFactory

    public TokenizerFactory getTokenizerFactory()

### getTokenFilterFactories

    public TokenFilterFactory[] getTokenFilterFactories()

### charStream

    public Reader charStream(Reader reader)

  Description copied from class: `SolrAnalyzer`
  wrap the reader in a CharStream, if appropriate

  Overrides:
    `charStream` in class `SolrAnalyzer`

### getStream

    public SolrAnalyzer.TokenStreamInfo getStream(String fieldName,
                                                  Reader reader)

  Specified by:
    `getStream` in class `SolrAnalyzer`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD